# -*- coding: utf-8 -*-
#
# Copyright (c) 2017, HILSTER GmbH, Germany - http://hilster.de
# All rights reserved.
#

from __future__ import absolute_import, division, print_function

from .core import __version_info__, __version__
from .thread import Thread
from .settings import Settings
from .report import HTMLTestReport, JSONTestReport, JUnitXMLTestReport, DOORSTestReport
from .markers import MetaData, Id, Revision, Rev, LastChangedBy, LastChangedDate, LastChangedRevision, URL, RCSfile,\
    RCSFile, Date, Header, Author, Source, HeadURL, TestingframeworkVersion
from .decorators import periodic, enqueueException, timed, raises, skipIf, meetsDOORSRequirements, stacktrace,\
    before, after, skip
from .runner import TestResult, TestRunner
from .testcase import TestCase
from .main import main

from unittest.case import expectedFailure, SkipTest

from .loader import TestLoader
from .suite import TestSuite


__all__ = [
    "__version_info__", "__version__",
    "TestCase",
    "TestResult", "TestRunner",
    "Settings",
    "HTMLTestReport", "JSONTestReport", "JUnitXMLTestReport", "DOORSTestReport",
    "MetaData", "Id", "Revision", "Rev", "LastChangedRevision", "RCSFile", "RCSfile", "URL", "LastChangedDate", "Date",
    "Header", "Author", "Source", "HeadURL", "TestingframeworkVersion",
    "Thread",
    "periodic", "enqueueException", "timed", "raises", "skipIf", "meetsDOORSRequirements", "stacktrace", "before",
    "after",
    "TestLoader", "TestSuite",
    "expectedFailure", "skip", "skipIf", "SkipTest",
    "main"
]
