# -*- coding: utf-8 -*-
#
# Copyright (c) 2017, HILSTER GmbH, Germany - http://hilster.de
# All rights reserved.
#
# This file was generated by wrappergenerator.py
#

from __future__ import absolute_import, division, print_function, unicode_literals

from htf._markers import Author as _Author
from htf._markers import Date as _Date
from htf._markers import HeadURL as _HeadURL
from htf._markers import Header as _Header
from htf._markers import Id as _Id
from htf._markers import KeywordsMetaData as _KeywordsMetaData
from htf._markers import LastChangedBy as _LastChangedBy
from htf._markers import LastChangedDate as _LastChangedDate
from htf._markers import LastChangedRevision as _LastChangedRevision
from htf._markers import MetaData as _MetaData
from htf._markers import RCSFile as _RCSFile
from htf._markers import RCSfile as _RCSfile
from htf._markers import Rev as _Rev
from htf._markers import Revision as _Revision
from htf._markers import Source as _Source
from htf._markers import TestingframeworkVersion as _TestingframeworkVersion
from htf._markers import URL as _URL


class Author(_Author):
    """
    Usage::

        class Test(TestCase):

            Author = Author("$Author$")

    Returns "an author" in test report.
    """

    def __init__(self, value):
        """
        Initialize self.  See help(type(self)) for accurate signature.
        """
        return super(Author, self).__init__(value=value)

    def get(self):
        return super(Author, self).get()

    def set(self, value):
        return super(Author, self).set(value=value)


class Date(_Date):
    """
    Usage::

        class Test(TestCase):

            Date = Date("$Date$")

    Returns "a date" in test report.
    """

    def __init__(self, value):
        """
        Initialize self.  See help(type(self)) for accurate signature.
        """
        return super(Date, self).__init__(value=value)

    def get(self):
        return super(Date, self).get()

    def set(self, value):
        return super(Date, self).set(value=value)


class HeadURL(_HeadURL):
    """
    Usage::

        class Test(TestCase):

            HeadURL = HeadURL("$HeadURL$")

    Returns: "https://server:port:/file" in test report.
    """

    def __init__(self, value):
        """
        Initialize self.  See help(type(self)) for accurate signature.
        """
        return super(HeadURL, self).__init__(value=value)

    def get(self):
        return super(HeadURL, self).get()

    def set(self, value):
        return super(HeadURL, self).set(value=value)


class Header(_Header):
    """
    Usage::

        class Test(TestCase):

            Header = Header("$Header$")

    Returns "a header" in test report.
    """

    def __init__(self, value):
        """
        Initialize self.  See help(type(self)) for accurate signature.
        """
        return super(Header, self).__init__(value=value)

    def get(self):
        return super(Header, self).get()

    def set(self, value):
        return super(Header, self).set(value=value)


class Id(_Id):
    """
    Usage::

        Id("$Id$")

    Returns "an id" in test report.
    """

    def __init__(self, value):
        """
        Initialize self.  See help(type(self)) for accurate signature.
        """
        return super(Id, self).__init__(value=value)

    def get(self):
        return super(Id, self).get()

    def set(self, value):
        return super(Id, self).set(value=value)


class KeywordsMetaData(_KeywordsMetaData):
    """
    ``MetaData`` can be used to mark variables to be handled as meta data.

    For example ``MetaData`` can be used to set additional attributes of a test case
    that is put into the meta data section of a test report.
    """

    def __init__(self, value):
        """
        Initialize self.  See help(type(self)) for accurate signature.
        """
        return super(KeywordsMetaData, self).__init__(value=value)

    def get(self):
        return super(KeywordsMetaData, self).get()

    def set(self, value):
        return super(KeywordsMetaData, self).set(value=value)


class LastChangedBy(_LastChangedBy):
    """
    Usage::

        class Test(TestCase):

            LastChangedBy = LastChangedBy("$LastChangedBy$")

    Returns the author of the last modification of the document.

    Alias of :py:class:`Author <htf.Author>`.
    """

    def __init__(self, value):
        """
        Initialize self.  See help(type(self)) for accurate signature.
        """
        return super(LastChangedBy, self).__init__(value=value)

    def get(self):
        return super(LastChangedBy, self).get()

    def set(self, value):
        return super(LastChangedBy, self).set(value=value)


class LastChangedDate(_LastChangedDate):
    """
    Usage::

        class Test(TestCase):

            LastChangedDate = LastChangedDate("$LastChangedDate$")

    Returns "a date" in test report.

    Alias of :py:class:`Date <htf.Date>`.
    """

    def __init__(self, value):
        """
        Initialize self.  See help(type(self)) for accurate signature.
        """
        return super(LastChangedDate, self).__init__(value=value)

    def get(self):
        return super(LastChangedDate, self).get()

    def set(self, value):
        return super(LastChangedDate, self).set(value=value)


class LastChangedRevision(_LastChangedRevision):
    """
    Usage::

        class Test(TestCase):

            LastChangedRevision = LastChangedRevision("$LastChangedRevision$")

    Returns "a revision" in test report.

    Alias of :py:class:`Revision <htf.Revision>`.
    """

    def __init__(self, value):
        """
        Initialize self.  See help(type(self)) for accurate signature.
        """
        return super(LastChangedRevision, self).__init__(value=value)

    def get(self):
        return super(LastChangedRevision, self).get()

    def set(self, value):
        return super(LastChangedRevision, self).set(value=value)


class MetaData(_MetaData):
    """
    ``MetaData`` can be used to mark variables to be handled as meta data.

    For example ``MetaData`` can be used to set additional attributes of a test case
    that is put into the meta data section of a test report.
    """

    def __init__(self, value):
        """
        Initialize self.  See help(type(self)) for accurate signature.
        """
        return super(MetaData, self).__init__(value=value)

    def get(self):
        return super(MetaData, self).get()

    def set(self, value):
        return super(MetaData, self).set(value=value)


class RCSFile(_RCSFile):
    """
    Usage::

        class Test(TestCase):

            RCSFile = RCSFile("$RCSFile$")

    Returns: RCSFile marker
    """

    def __init__(self, value):
        """
        Initialize self.  See help(type(self)) for accurate signature.
        """
        return super(RCSFile, self).__init__(value=value)

    def get(self):
        return super(RCSFile, self).get()

    def set(self, value):
        return super(RCSFile, self).set(value=value)


class RCSfile(_RCSfile):
    """
    Usage::

        class Test(TestCase):

            RCSfile = RCSfile("$RCSfile$")

    Returns: RCSfile marker

    Alias of :py:class:`RCSFile <htf.RCSFile>`.
    """

    def __init__(self, value):
        """
        Initialize self.  See help(type(self)) for accurate signature.
        """
        return super(RCSfile, self).__init__(value=value)

    def get(self):
        return super(RCSfile, self).get()

    def set(self, value):
        return super(RCSfile, self).set(value=value)


class Rev(_Rev):
    """
    Usage::

        class Test(TestCase):

            Rev = Rev("$Rev$")

    Returns "a revision" in test report.

    Alias of :py:class:`Revision <htf.Revision>`.
    """

    def __init__(self, value):
        """
        Initialize self.  See help(type(self)) for accurate signature.
        """
        return super(Rev, self).__init__(value=value)

    def get(self):
        return super(Rev, self).get()

    def set(self, value):
        return super(Rev, self).set(value=value)


class Revision(_Revision):
    """
    Usage::

        class Test(TestCase):

            Revision = Revision("$Revision$")

    Returns "a revision" in test report.
    """

    def __init__(self, value):
        """
        Initialize self.  See help(type(self)) for accurate signature.
        """
        return super(Revision, self).__init__(value=value)

    def get(self):
        return super(Revision, self).get()

    def set(self, value):
        return super(Revision, self).set(value=value)


class Source(_Source):
    """
    Usage::

        class Test(TestCase):

            Source = Source("$Source$")

    Returns: "a source file" in test report.
    """

    def __init__(self, value):
        """
        Initialize self.  See help(type(self)) for accurate signature.
        """
        return super(Source, self).__init__(value=value)

    def get(self):
        return super(Source, self).get()

    def set(self, value):
        return super(Source, self).set(value=value)


class TestingframeworkVersion(_TestingframeworkVersion):
    """
    Usage::

        class Test(TestCase):

            testingframeworkVersion = TestingframeworkVersion()

    Returns: "htf 0.14.0" in test report.
    """

    def __init__(self):
        """
        Initialize self.  See help(type(self)) for accurate signature.
        """
        return super(TestingframeworkVersion, self).__init__()

    def get(self):
        return super(TestingframeworkVersion, self).get()

    def set(self, value):
        return super(TestingframeworkVersion, self).set(value=value)


class URL(_URL):
    """
    Usage::

        class Test(TestCase):

            URL = URL("$URL$")

    Returns: "https://server:port:/file" in test report.

    Alias of :py:class:`HeadURL <htf.HeadURL>`.
    """

    def __init__(self, value):
        """
        Initialize self.  See help(type(self)) for accurate signature.
        """
        return super(URL, self).__init__(value=value)

    def get(self):
        return super(URL, self).get()

    def set(self, value):
        return super(URL, self).set(value=value)
