# -*- coding: utf-8 -*-
#
# Copyright (c) 2017, HILSTER GmbH, Germany - http://hilster.de
# All rights reserved.
#
# This file was generated by wrappergenerator.py
#

from __future__ import absolute_import, division, print_function, unicode_literals

from htf.report._html_testreport import HTMLTestReport as _HTMLTestReport


class HTMLTestReport(_HTMLTestReport):
    """
    ``HTMLTestReport`` creates an html test report that uses JQuery to be user friendly.

    Implicit usage::

        from __future__ import absolute_import, division, print_function, unicode_literals
        from htf import TestLoader, TestRunner, HTMLTestReport

        suite = TestLoader().loadTestsFromTestCase(Test)
        result = TestRunner(title="A test", verbosity=1).run(suite)

    Explicit usage::

        from __future__ import absolute_import, division, print_function, unicode_literals
        from htf import TestLoader, TestRunner, HTMLTestReport

        suite = TestLoader().loadTestsFromTestCase(Test)
        result = TestRunner(title="A test", reports=HTMLTestReport("test.html"), verbosity=2).run(suite)
    """

    def __init__(self, filename, logo=None):
        """
        Initialize an ``HTMLTestReport`` instance.

        Args:
            filename (str): the filename for the html test report.
        """
        return super(HTMLTestReport, self).__init__(filename=filename, logo=logo)

    def render(self, data):
        """
        Generates and stores an HTML encoded TestReport.

        Args:
            data (dict): test result data
        """
        return super(HTMLTestReport, self).render(data=data)
