# -*- coding: utf-8 -*-
#
# Copyright (c) 2017, HILSTER GmbH, Germany - http://hilster.de
# All rights reserved.
#
# This file was generated by wrappergenerator.py
#

from __future__ import absolute_import, division, print_function, unicode_literals

from htf.report._junit_xml_testreport import JUnitXMLTestReport as _JUnitXMLTestReport


class JUnitXMLTestReport(_JUnitXMLTestReport):
    """
    ``JUnitXMLTestReport`` creates a JUnit-XML test report that can be used in Jenkins for example.

    Usage::

        from __future__ import absolute_import, division, print_function, unicode_literals
        from htf import TestLoader, TestRunner, JUnitXMLTestReport

        suite = TestLoader().loadTestsFromTestCase(Test)
        result = TestRunner(title="A test", reports=JUnitXMLTestReport("test.xml"), verbosity=2).run(suite)
    """

    def __init__(self, filename):
        """
        Initialize a ``JUnitXMLTestReport`` instance.

        Args:
            filename (str): the filename for the xml test report.
        """
        return super(JUnitXMLTestReport, self).__init__(filename=filename)

    def render(self, data):
        """
        Generates and stores a JUnit-XML TestReport.

        Args:
            data (dict): test result data
        """
        return super(JUnitXMLTestReport, self).render(data=data)
