# -*- coding: utf-8 -*-
#
# Copyright (c) 2017, HILSTER GmbH, Germany - http://hilster.de
# All rights reserved.
#
# This file was generated by wrappergenerator.py
#

from __future__ import absolute_import, division, print_function, unicode_literals

from htf._settings import Settings as _Settings


class Settings(_Settings):
    """
    ``Settings`` can be used to access local settings easily.
    It is a singleton.

    The local settings file is automatically searched looking in
    :envvar:`HTF_SETTINGS`, `$HOME/settings.txt` or `./settings.txt`
    in this order. If no settings file was found an exception is raised.

    Settings are stored in JSON format.
    """

    def __init__(self):
        """
        Initialize self.  See help(type(self)) for accurate signature.
        """
        return super(Settings, self).__init__()

    def get_filename(self):
        return super(Settings, self).get_filename()

    def get_settings_filenames(self):
        """
        Returns:
            list: a list of filenames that are tried to be opened from left to right.
                The first file that is opened will be used to read settings from.

        You can overwrite this method in your specialized ``Settings``.
        """
        return super(Settings, self).get_settings_filenames()

    def items(self):
        return super(Settings, self).items()

    def load(self, create=False):
        return super(Settings, self).load(create=create)

    def open(self, mode='r'):
        return super(Settings, self).open(mode=mode)

    def save(self):
        """
        Save current settings (useful after modification).
        """
        return super(Settings, self).save()
